## request-tracker4 4.4.7+dfsg

=== Makefile ===
# BEGIN BPS TAGGED BLOCK {{{
#
# COPYRIGHT:
#
# This software is Copyright (c) 1996-2023 Best Practical Solutions, LLC
#                                          <sales@bestpractical.com>
#
# (Except where explicitly superseded by other copyright notices)
#
#
# LICENSE:
#
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from www.gnu.org.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 or visit their web page on the internet at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
#
#
# CONTRIBUTION SUBMISSION POLICY:
#
# (The following paragraph is not intended to limit the rights granted
# to you to modify and distribute this software under the terms of
# the GNU General Public License and is only of importance to you if
# you choose to contribute your changes and enhancements to the
# community by submitting them to Best Practical Solutions, LLC.)
#
# By intentionally submitting any modifications, corrections or
# derivatives to this work, or any other work intended for use with
# Request Tracker, to Best Practical Solutions, LLC, you confirm that
# you are the copyright holder for those contributions and you grant
# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
# royalty-free, perpetual, license to use, copy, create derivative
# works based on those contributions, and sublicense and distribute
# those contributions and any derivatives thereof.
#
# END BPS TAGGED BLOCK }}}
#
# DO NOT HAND-EDIT the file named 'Makefile'. This file is autogenerated.
# Have a look at "configure" and "Makefile.in" instead
#


PERL			=	/usr/bin/perl
INSTALL			=	./install-sh
CC				=	@CC@

RT_LAYOUT		=	relative

CONFIG_FILE_PATH	=	/opt/rt4/etc
CONFIG_FILE		=	$(CONFIG_FILE_PATH)/RT_Config.pm
SITE_CONFIG_FILE	=	$(CONFIG_FILE_PATH)/RT_SiteConfig.pm


RT_VERSION_MAJOR	=	4
RT_VERSION_MINOR	=	4
RT_VERSION_PATCH	=	7

RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)


# This is the group that all of the installed files will be chgrp'ed to.
RTGROUP			=	www


# User which should own rt binaries.
BIN_OWNER		=	root

# User that should own all of RT's libraries, generally root.
LIBS_OWNER 		=	root

# Group that should own all of RT's libraries, generally root.
LIBS_GROUP		=	root

WEB_USER		=	www
WEB_GROUP		=	www

# DESTDIR allows you to specify that RT be installed somewhere other than
# where it will eventually reside. DESTDIR _must_ have a trailing slash
# if it's defined.

DESTDIR			=	



RT_PATH			=	/opt/rt4
RT_ETC_PATH		=	/opt/rt4/etc
RT_BIN_PATH		=	/opt/rt4/bin
RT_SBIN_PATH		=	/opt/rt4/sbin
RT_LIB_PATH		=	/opt/rt4/lib
RT_MAN_PATH		=	/opt/rt4/man
RT_VAR_PATH		=	/opt/rt4/var
RT_DOC_PATH		=	/opt/rt4/docs
RT_FONT_PATH		=	/opt/rt4/share/fonts
RT_LEXICON_PATH		=	/opt/rt4/share/po
RT_STATIC_PATH		=	/opt/rt4/share/static
RT_LOCAL_PATH		=	/opt/rt4/local
LOCAL_PLUGIN_PATH	=	/opt/rt4/local/plugins
LOCAL_ETC_PATH		=	/opt/rt4/local/etc
LOCAL_LIB_PATH		=	/opt/rt4/local/lib
LOCAL_LEXICON_PATH	=	/opt/rt4/local/po
LOCAL_STATIC_PATH	=	/opt/rt4/local/static
MASON_HTML_PATH		=	/opt/rt4/share/html
MASON_LOCAL_HTML_PATH	=	/opt/rt4/local/html
MASON_DATA_PATH		=	/opt/rt4/var/mason_data
MASON_SESSION_PATH	=	/opt/rt4/var/session_data
RT_LOG_PATH		=       /opt/rt4/var/log

# RT_READABLE_DIR_MODE is the mode of directories that are generally meant
# to be accessable
RT_READABLE_DIR_MODE	=	0755





# RT's CLI
RT_CLI_BIN		=	rt
# RT's mail gateway
RT_MAILGATE_BIN		=	rt-mailgate
# RT's cron tool
RT_CRON_BIN		=	rt-crontool



BINARIES		=	$(RT_MAILGATE_BIN) \
				$(RT_CLI_BIN) \
				$(RT_CRON_BIN)

SYSTEM_BINARIES		=	rt-attributes-viewer \
				rt-munge-attachments \
				rt-clean-sessions \
				rt-dump-metadata \
				rt-email-dashboards \
				rt-email-digest \
				rt-email-group-admin \
				rt-externalize-attachments \
				rt-fulltext-indexer \
				rt-importer \
				rt-ldapimport \
				rt-passwd \
				rt-preferences-viewer \
				rt-search-attributes \
				rt-serializer \
				rt-server \
				rt-server.fcgi \
				rt-session-viewer \
				rt-setup-database \
				rt-setup-fulltext-index \
				rt-shredder \
				rt-test-dependencies \
				rt-validator \
				rt-validate-aliases \
				standalone_httpd


ETC_FILES		=	acl.Pg \
				acl.Oracle \
				acl.mysql \
				schema.Pg \
				schema.Oracle \
				schema.mysql \
				schema.SQLite \
				initialdata



WEB_HANDLER		=	standalone



#
# DB_TYPE defines what sort of database RT trys to talk to
# "mysql", "Oracle", "Pg", and "SQLite" are known to work.

DB_TYPE			=	SQLite

# Set DBA to the name of a unix account with the proper permissions and 
# environment to run your commandline SQL sbin

# Set DB_DBA to the name of a DB user with permission to create new databases 

# For mysql, you probably want 'root'
# For Pg, you probably want 'postgres' 
# For Oracle, you want 'system'

DB_DBA			=	root

DB_HOST			=	localhost

# If you're not running your database server on its default port, 
# specifiy the port the database server is running on below.
# It's generally safe to leave this blank 

DB_PORT			=	




#
# Set this to the canonical name of the interface RT will be talking to the 
# database on.  If you said that the RT_DB_HOST above was "localhost," this 
# should be too. This value will be used to grant rt access to the database.
# If you want to access the RT database from multiple hosts, you'll need
# to grant those database rights by hand.
#

DB_RT_HOST		=	localhost

# set this to the name you want to give to the RT database in 
# your database server. For Oracle, this should be the name of your sid

DB_DATABASE		=	rt4
DB_RT_USER		=	rt_user
DB_RT_PASS		=	rt_pass



TEST_FILES = t/*.t t/*/*.t t/*/*/*.t
TEST_VERBOSE = 0

RT_TEST_PARALLEL_NUM ?= 5


####################################################################

all: default

default:
	@echo "Please read RT's README before beginning your installation."



instruct:
	@echo "Congratulations. RT is now installed."
	@echo ""
	@echo ""
	@echo "You must now configure RT by editing $(SITE_CONFIG_FILE)."
	@echo ""
	@echo "(You will definitely need to set RT's database password in "
	@echo "$(SITE_CONFIG_FILE) before continuing. Not doing so could be "
	@echo "very dangerous.  Note that you do not have to manually add a "
	@echo "database user or set up a database for RT.  These actions will be "
	@echo "taken care of in the next step.)"
	@echo ""
	@echo "After that, you need to initialize RT's database by running" 
	@echo " 'make initialize-database'"


upgrade-instruct: 
	@echo "Congratulations. RT has been upgraded. You should now check over"
	@echo "$(CONFIG_FILE) for any necessary site customization. Additionally,"
	@echo "you should update RT's system database objects by running "
	@echo "    make upgrade-database"


upgrade: testdeps config-install dirs files-install fixperms upgrade-instruct

my_with_web_handlers= $(shell $(PERL) -e 'print join " ", map "--with-$$_", grep defined && length, split /,/, "$(WEB_HANDLER)"')
testdeps:
	$(PERL) ./sbin/rt-test-dependencies --with-$(DB_TYPE) $(my_with_web_handlers)

depends: fixdeps

fixdeps:
	$(PERL) ./sbin/rt-test-dependencies --install --with-$(DB_TYPE) $(my_with_web_handlers)

#}}}

fixperms:
	# Make the libraries readable
	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_PATH)
	chown -R $(LIBS_OWNER) $(DESTDIR)$(RT_LIB_PATH)
	chgrp -R $(LIBS_GROUP) $(DESTDIR)$(RT_LIB_PATH)
	chmod -R  u+rwX,go-w,go+rX $(DESTDIR)$(RT_LIB_PATH)


	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_BIN_PATH)

	chmod 0755 $(DESTDIR)$(RT_ETC_PATH)
	cd $(DESTDIR)$(RT_ETC_PATH) && chmod 0400 $(ETC_FILES)

	#TODO: the config file should probably be able to have its
	# owner set separately from the binaries.
	chown -R $(BIN_OWNER) $(DESTDIR)$(RT_ETC_PATH)
	chgrp -R $(RTGROUP) $(DESTDIR)$(RT_ETC_PATH)

	chmod 0440 $(DESTDIR)$(CONFIG_FILE)
	chmod 0640 $(DESTDIR)$(SITE_CONFIG_FILE)

	# Make the system binaries
	cd $(DESTDIR)$(RT_BIN_PATH) && ( chmod 0755 $(BINARIES) ; chown $(BIN_OWNER) $(BINARIES);  chgrp $(RTGROUP) $(BINARIES))

	# Make the system binaries executable also
	cd $(DESTDIR)$(RT_SBIN_PATH) && ( chmod 0755 $(SYSTEM_BINARIES) ; chown $(BIN_OWNER) $(SYSTEM_BINARIES);  chgrp $(RTGROUP) $(SYSTEM_BINARIES))

	# Make upgrade scripts executable if they are in the source.
	#
	( cd etc/upgrade && find . -type f -not -name '*.in' -perm +0111 -print ) | while read file ; do \
		chmod a+x "$(DESTDIR)$(RT_ETC_PATH)/upgrade/$$file" ; \
	done

	# Make the web ui readable by all. 
	chmod -R  u+rwX,go-w,go+rX 	$(DESTDIR)$(MASON_HTML_PATH) \
					$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
					$(DESTDIR)$(RT_LEXICON_PATH) \
					$(DESTDIR)$(LOCAL_LEXICON_PATH) \
					$(DESTDIR)$(RT_STATIC_PATH) \
					$(DESTDIR)$(LOCAL_STATIC_PATH)
	chown -R $(LIBS_OWNER) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)
	chgrp -R $(LIBS_GROUP) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)

	# Make the web ui's data dir writable
	chmod 0770  	$(DESTDIR)$(MASON_DATA_PATH) \
			$(DESTDIR)$(MASON_SESSION_PATH)
	chown -R $(WEB_USER) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)
	chgrp -R $(WEB_GROUP) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)

dirs:
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LOG_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_FONT_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_STATIC_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/cache
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/etc
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/obj
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_SESSION_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_LOCAL_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_ETC_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LIB_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_PLUGIN_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_STATIC_PATH)

clean-mason-cache:
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/cache/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/etc/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/obj/*

install: testdeps config-install dirs files-install fixperms instruct

files-install: libs-install etc-install config-install bin-install sbin-install html-install doc-install font-install po-install static-install

config-install:
	$(INSTALL) -m 0755 -o $(BIN_OWNER) -g $(RTGROUP) -d $(DESTDIR)$(CONFIG_FILE_PATH)
	-$(INSTALL) -m 0440 -o $(BIN_OWNER) -g $(RTGROUP)  etc/RT_Config.pm $(DESTDIR)$(CONFIG_FILE)
	[ -f $(DESTDIR)$(SITE_CONFIG_FILE) ] || $(INSTALL) -m 0640 -o $(BIN_OWNER) -g $(RTGROUP) etc/RT_SiteConfig.pm $(DESTDIR)$(SITE_CONFIG_FILE) 
	@echo "Installed configuration. About to install RT in  $(RT_PATH)"

test: 
	$(PERL) "-MExtUtils::Command::MM" -e "test_harness($(TEST_VERBOSE), 'lib')" $(TEST_FILES)

parallel-test: test-parallel

test-parallel:

=== debian/changelog ===
request-tracker4 (4.4.7+dfsg-4) unstable; urgency=medium

  * Add build-dep on gpg-agent so CI tests will work (Closes: #1088895).
    Something has changed in another package as gpg-agent is no longer
    installed.  We depend on libgnupg-interface-perl, which depends on gpg,
    which recommends gnupg, and gnupg depends on gpg-agent. gnupg used to be
    installed for CI, but isn't anymore.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 21 Dec 2024 17:46:00 +1300

request-tracker4 (4.4.7+dfsg-3) unstable; urgency=medium

  * Enable verbose logging for autopkgtests to ease CI debugging.
  * Add patch so free port detection for test suite matches how PSGI binds
    (this may fix 1081411).
  * Flag tests as flaky until we know if they work reliably (this will stop
    1081411 from annoying others).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 27 Sep 2024 23:58:17 +1200

request-tracker4 (4.4.7+dfsg-2) unstable; urgency=medium

  * Flag fix_legacy_timezones.diff patch as not needing to be
    forwarded.
  * Add patch based on upstream commit (Closes: #1078047):
    - fix_dbix_searchbuilder_for_perl_5.40.diff
  * Update Standards-Version to 4.7.0 (no changes).
  * Drop dependency on rsyslog | system-log-daemon (Closes: #1072029).
  * [CVE-2024-3262] Cherry-pick upstream fixes (Closes: #1068452).
  * Refresh lintian overrides.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 13 Aug 2024 23:17:57 +1200

request-tracker4 (4.4.7+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.
    (Closes: #1072075)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 22:54:09 +0200

request-tracker4 (4.4.7+dfsg-1) unstable; urgency=high

  * New upstream release (Closes: #986707, #1054516).
    - [CVE-2023-41259] Vulnerablility to unvalidated email headers in
      incoming email and the mail-gateway REST interface.
    - [CVE-2023-41260] Information leakage via response messages returned
      from requests sent via the mail-gateway REST interface.
  * Drop patches no longer needed:
    - Update-tests-for-EN-datetime-locale-change-to-space.diff
    - fix_expired_certs.dif
  * Drop patches merged upstream:
    - fcgi_client_sigpipe.diff
    - libdatetime-format-natural-perl-v0.14.diff
  * Set Multi-Arch: foreign for rt4-doc-html .
  * Drop patch no_testdeps.diff now that we skip the Mozilla::CA check. 
  * Add autopkgtests.
  * Include ::1 ACL for nginx config.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 29 Oct 2023 22:36:22 +1300

request-tracker4 (4.4.6+dfsg-2) unstable; urgency=medium

  [ Andrew Ruthven ]
  * Update Standards-Version to 4.6.2 (no changes).
  * Use java instead of jexec to build ckeditor (Raised against
    request-tracker5 in #1026669, but also applies to request-tracker4).
  * Remove dependency on lsb-base as it is an obsolete package.
  * Replace patches from 4.4.6+dfsg-1.1 with patches used in 5.0.3, as they
    work with git-dpm.
  * Update d/watch to only look for versions that match 4.x.y as version 5 is
    handled by request-tracker5.
  * Ensure we can build source after successful build.
  * Add disable_dirmngr_in_tests.diff which should make this package able
    to pass the reproducible build tests.
  * Depend on fonts-noto-core instead of the obsolete fonts-noto-hinted
    (Closes: #1050047).
  * Bump debhelper from old 10 to 13.
  * Build-Depend on tzdata-legacy as a number of the tests use timezone names
    that have been moved from tzdata to tzdata-legacy.

  [ Ángel Gonzále ]
  * Fetch timezone from /etc/localtime symlink (Closes: #1038846).

  [ Andrew Ruthven ]
  * Add upstream fix to remove legacy timezones in preference to depending on
    tzdata-legacy (Closes: #1052900).
  * Add upstream fix for expired certificates in test suite.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 05 Oct 2023 22:56:14 +1300

=== debian/control ===
Source: request-tracker4
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>,
           Andrew Ruthven <andrew@etc.gen.nz>,
           Dominic Hargreaves <dom@earth.li>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gpg-agent,
               libapache-session-perl,
               libbusiness-hours-perl,
               libcgi-emulate-psgi-perl,
               libcgi-pm-perl,
               libcgi-psgi-perl,
               libcss-minifier-xs-perl,
               libclass-accessor-perl,
               libclone-perl,
               libconvert-color-perl,
               libcpanel-json-xs-perl,
               libcrypt-eksblowfish-perl,
               libcrypt-x509-perl,
               libcss-squish-perl,
               libdata-guid-perl,
               libdata-ical-perl,
               libdata-page-pageset-perl,
               libdate-extract-perl,
               libdate-manip-perl,
               libdatetime-format-natural-perl,
               libdatetime-locale-perl (>= 1:1.02),
               libdatetime-perl,
               libdbd-mysql-perl,
               libdbd-pg-perl,
               libdbd-sqlite3-perl,
               libdbi-perl,
               libdbix-searchbuilder-perl (>= 1.69),
               libdevel-globaldestruction-perl,
               libemail-abstract-perl,
               libemail-address-list-perl,
               libemail-address-perl (>= 1.908),
               libencode-hanextra-perl,
               libfcgi-perl,
               libfile-sharedir-perl,
               libfile-which-perl,
               libgd-graph-perl (>= 1.54~ds),
               libgd-text-perl,
               libgnupg-interface-perl (>= 1.00),
               libgraphviz2-perl,
               libhtml-formattext-withlinks-andtables-perl (>= 0.06),
               libhtml-formattext-withlinks-perl,
               libhtml-gumbo-perl,
               libhtml-mason-perl,
               libhtml-mason-psgihandler-perl,
               libhtml-parser-perl,
               libhtml-quoted-perl,
               libhtml-rewriteattributes-perl (>= 0.05),
               libhtml-scrubber-perl,
               libhttp-message-perl,
               libipc-run-perl,
               libipc-run3-perl,
               libjavascript-minifier-xs-perl,
               libjson-perl,
               liblist-moreutils-perl,
               liblocale-maketext-fuzzy-perl,
               liblocale-maketext-lexicon-perl,
               liblocale-po-perl,
               liblog-dispatch-perl,
               liblog-dispatch-perl-perl,
               libmailtools-perl (>= 2.12),
               libmime-tools-perl (>= 5.504),
               libmime-types-perl,
               libmodule-refresh-perl,
               libmodule-versions-report-perl,
               libmojolicious-perl,
               libnet-cidr-perl,
               libnet-ip-perl,
               libnet-ldap-perl,
               libnet-ldap-server-test-perl,
               libnet-ssleay-perl,
               libparallel-forkmanager-perl,
               libperlio-eol-perl,
               libpod-parser-perl,
               libplack-middleware-test-stashwarnings-perl (>= 0.08),
               libplack-perl (>= 1.0002),
               libregexp-common-net-cidr-perl,
               libregexp-common-perl,
               libregexp-ipv6-perl,
               librole-basic-perl,
               libscope-upper-perl,
               libset-tiny-perl,
               libstring-shellquote-perl,
               libsymbol-global-name-perl,
               libterm-readkey-perl,
               libtest-deep-perl,
               libtest-email-perl,
               libtest-expect-perl,
               libtest-longstring-perl,
               libtest-mocktime-hires-perl,
               libtest-mocktime-perl,
               libtest-nowarnings-perl,
               libtest-pod-perl,
               libtest-warn-perl,
               libtest-www-mechanize-perl,
               libtest-www-mechanize-psgi-perl,
               libtext-autoformat-perl,
               libtext-password-pronounceable-perl,
               libtext-quoted-perl (>= 2.07),
               libtext-template-perl,
               libtext-wikiformat-perl,
               libtext-wrapper-perl,
               libtime-parsedate-perl,
               libtimedate-perl,
               libtree-simple-perl,
               libuniversal-require-perl,
               liburi-perl,
               libwww-mechanize-perl,
               libwww-perl,
               libxml-rss-perl,
               libxml-simple-perl,
               libpod-simple-perl (>= 3.24),
               libencode-perl (>= 2.64),
               perl,
               po-debconf,
               starlet,
               tzdata,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/request-tracker-team/request-tracker4
Vcs-Git: https://salsa.debian.org/request-tracker-team/request-tracker4.git
Homepage: https://bestpractical.com/rt/
Rules-Requires-Root: binary-targets

Package: request-tracker4
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends},
         rt4-clients (= ${source:Version}),
         rt4-standalone (= ${source:Version}) | rt4-apache2 (= ${source:Version}) | rt4-fcgi (= ${source:Version}),
         rt4-db-sqlite (= ${source:Version}) | rt4-db-postgresql (= ${source:Version}) | rt4-db-mysql (= ${source:Version}),
         dbconfig-common | dbconfig-no-thanks,
         default-mta | mail-transport-agent,
         fonts-droid-fallback,
         fonts-noto-core,
         libapache-session-perl,
         libbusiness-hours-perl,
         libcgi-emulate-psgi-perl,
         libcgi-pm-perl,
         libcgi-psgi-perl,
         libclass-accessor-perl,
         libclone-perl,
         libconvert-color-perl,
         libcpanel-json-xs-perl,
         libcrypt-eksblowfish-perl,
         libcrypt-x509-perl,
         libcss-minifier-xs-perl,
         libcss-squish-perl,
         libdata-guid-perl,
         libdata-ical-perl,
         libdata-page-pageset-perl,
         libdate-extract-perl,
         libdate-manip-perl,
         libdatetime-format-natural-perl,
         libdatetime-locale-perl (>= 1:1.02),
         libdatetime-perl,
         libdbi-perl,
         libdbix-searchbuilder-perl (>= 1.69),
         libdevel-globaldestruction-perl,
         libemail-address-list-perl,
         libemail-address-perl (>= 1.908),
         libfile-sharedir-perl,
         libfile-which-perl,
         libgd-graph-perl (>= 1.47),
         libgd-text-perl,
         libgnupg-interface-perl,
         gpg-agent,
         libgraphviz2-perl,
         libhtml-formattext-withlinks-andtables-perl,
         libhtml-formattext-withlinks-perl,
         libhtml-gumbo-perl,
         libhtml-mason-perl,
         libhtml-mason-psgihandler-perl,
         libhtml-quoted-perl,
         libhtml-rewriteattributes-perl (>= 0.05),
         libhtml-scrubber-perl,
         libhttp-message-perl,
         libipc-run-perl,
         libipc-run3-perl,
         libjavascript-minifier-xs-perl,
         libjson-perl,
         liblist-moreutils-perl,
         liblocale-maketext-fuzzy-perl,
         liblocale-maketext-lexicon-perl,
         liblog-dispatch-perl,
         libmailtools-perl (>= 2.12),
         libmime-tools-perl (>= 5.504),
         libmime-types-perl,
         libmodule-refresh-perl,
         libmodule-versions-report-perl,
         libnet-cidr-perl,
         libnet-ip-perl,
         libnet-ldap-perl,
         libnet-ssleay-perl,
         libparallel-forkmanager-perl,
         libperlio-eol-perl,
         libplack-perl (>= 1.0002),
         libpod-parser-perl,
         libregexp-common-net-cidr-perl,
         libregexp-common-perl,
         libregexp-ipv6-perl,
         librole-basic-perl,
         libscope-upper-perl,
         libstring-shellquote-perl,
         libsymbol-global-name-perl,
         libtext-autoformat-perl,
         libtext-password-pronounceable-perl,
         libtext-quoted-perl (>= 2.07),
         libtext-template-perl,
         libtext-wikiformat-perl,
         libtext-wrapper-perl,
         libtime-parsedate-perl,
         libtimedate-perl,
         libtree-simple-perl,
         libuniversal-require-perl,
         liburi-perl,
         libwww-perl,
         libxml-rss-perl,
         libxml-simple-perl,
         libencode-perl (>= 2.64),
         ucf,
         perl-doc,
Recommends: cron-daemon,
            libfile-dropbox-perl,
            libhtml-formatexternal-perl,
            libnet-amazon-s3-perl,
            w3m,
Suggests: rt4-doc-html
Conflicts: rt4-extension-assettracker,
           rt4-extension-authenexternalauth,
           rt4-extension-spawnlinkedticketinqueue,
           rt4-extension-sla,
Replaces: rt4-extension-assettracker,
          rt4-extension-authenexternalauth,
          rt4-extension-spawnlinkedticketinqueue,
          rt4-extension-sla,
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 5 series without any problems.
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker4/NOTES.Debian for more
 details and consider installing rt4-db-postgresql or rt4-db-mysql at
 the same time as this package.

Package: rt4-clients
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
         default-mta | mail-transport-agent,
         libterm-readkey-perl,
         libterm-readline-perl-perl | libterm-readline-gnu-perl,
         libwww-perl
Recommends: libio-socket-ssl-perl
Description: mail gateway and command-line interface to request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 5 series without any problems.
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.

Package: rt4-standalone
Architecture: all
Depends: ${misc:Depends},
         starlet
Description: Standalone web server support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER=4

DEBIAN=$(CURDIR)/debian

RT = request-tracker$(VER)
CLIENTS = rt$(VER)-clients

RT_PKG = $(DEBIAN)/$(RT)
CLIENTS_PKG = $(DEBIAN)/$(CLIENTS)

RT_BUGDIR = $(RT_PKG)/usr/share/bug/$(RT)
CLIENTS_BUGDIR = $(CLIENTS_PKG)/usr/share/bug/$(CLIENTS)
TPSRC=third-party-source/devel/third-party

# Try and use the -j setting for NUMJOBS which is used for how many parallel
# tests to run. Default to 3.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    NUMJOBS=3
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

configure: build-stamp
build-stamp: configure
	dh_testdir

	# Update translations
	debconf-updatepo

	# Keep aside automatically generated files shipped in the upstream tarball
	mkdir bak
	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	for f in configure install-sh share/static/RichText; do mkdir -p bak/`dirname $$f`; echo cp -pr $$f bak/$$f; cp -pr $$f bak/$$f; done
	test -d $(TPSRC)

	dh_autoreconf

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The test suite needs a different configuration in place
	./configure \
	  --with-my-user-group \
	  --enable-layout=inplace \
	  --with-db-type=SQLite \
	  --enable-externalauth \
	  --with-s3 \
	  --with-dropbox \
	  --enable-developer

	-$(MAKE) testdeps
	mkdir -p var
	RT_TEST_PARALLEL_NUM=$(NUMJOBS) http_proxy= $(MAKE) test-parallel
	rm -rf var
endif

	# --enable-gpg and --enable-smime disabled for #654697
	# still usable when manually configured
	./configure \
	  --enable-layout=Debian \
	  --enable-graphviz \
	  --enable-gd \
	  --with-rt-group=root \
	  --with-web-user=www-data \
	  --with-web-group=www-data \
	  --with-web-handler=standalone,fastcgi,modperl2 \
	  --with-libs-group=root \
	  --with-db-type=Pg \
	  --with-db-dba=postgres \
	  --enable-externalauth \
	  --with-s3 \
	  --with-dropbox \

	-$(MAKE) testdeps
	mkdir man
	perl debian/scripts/fix-whatis < debian/whatis

	PERL5LIB=lib devel/tools/rt-static-docs --to html-docs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_autoreconf_clean

	$(RM) -r man
	[ -d bak/share/static/RichText ] && (rm -rf share/static/RichText; mv bak/share/static/RichText share/static) || true
	# Restore shipped generated files
	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
	-rm -rf bak
	rm -rf html-docs var t/tmp third-party-source/devel/third-party/ckeditor-src/skins
	rm -f config.status config.log config.pld bak t/tmp/ports t/data/gnupg/keyrings/random_seed
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(RT_PKG)
	rm -rf $(RT_PKG)/usr/share/$(RT)/lib/t/
	rm -rf $(RT_PKG)/usr/bin/mason_handler.svc
	rm -rf $(RT_PKG)/usr/sbin/rt-test-dependencies
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/plugins/scayt/LICENSE.md
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/plugins/wsc/LICENSE.md
	rm -rf $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.d
	# We will install a symlink to the separately-packaged javascript
	# libraries instead
	# (leave below as example as there'll be different ones to add back)
	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
	# We will install symlinks to the fonts provided by the fonts-noto
	# and fonts-droid-fallback packages
	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts

	for x in rt-server rt-server.fcgi standalone_httpd; do \
	  mv $(RT_PKG)/usr/sbin/$$x $(RT_PKG)/usr/share/$(RT)/libexec/; \
	done
	dh_install
		
test:
	perl debian/scripts/check-deps

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_usrlocal
	dh_installchangelogs
	dh_installdocs
	dh_installexamples sbin/standalone_httpd
	dh_installman man/*
	dh_installdebconf
	dh_installlogcheck
	cd $(RT_PKG) && perl $(DEBIAN)/scripts/move-alts $(VER) \
	    $(DEBIAN)/alts $(DEBIAN)/$(CLIENTS).alts
	dh_lintian
	dh_movefiles --sourcedir=debian/$(RT)
	dh_link
	dh_fixperms
	# Remove any leftover .in files
	find $(RT_PKG)/usr/share/$(RT)/lib -type f -name '*.in' -print0 | xargs -0 --no-run-if-empty rm
	rm -f $(RT_PKG)/usr/share/$(RT)/etc/upgrade/*.in
	
	# Remove a test file
	rm -f .prove

	# This is generated by the maintainer scripts
	$(RM) $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.pm

	install -m 644 debian/scripts/siteconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 644 debian/scripts/dbconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/write-siteconfig $(RT_PKG)/usr/share/$(RT)/debian/

	# dh_link already made the pgsql and sqlite links
	install -m 755 debian/scripts/dbconfig-install $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/install/mysql
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12
	# No sqlite upgrade file provided for this
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-pgsql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.3 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.3
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.7 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.7
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.11 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.11
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.1 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.1
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.2 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.2
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.5 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.5
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.6

	chmod 755 $(RT_PKG)/usr/share/bug/$(RT)/script

	install -d $(RT_PKG)/var/lib/$(RT)/data
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chown www-data:root
	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chown www-data:root
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chmod 2750
	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chmod 2750

=== debian/tests/control ===
# We could use "Testsuite: autopkgtest-pkg-perl", but the only test that
# works for us is build-deps. So to speed up debci, we have only  the test
# we can use here.
#
# We skip the others as a number of our Perl modules aren't designed to be
# used directly, so fail a perl -c test. The unit tests provide pretty good
# (possibly complete?) coverage of the modules.
Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps
Depends: @, @builddeps@, pkg-perl-autopkgtest
Features: test-name=autodep8-perl-build-deps
Restrictions: flaky
